<template>
  <div>
    <div class="field">
      <label class="label">NIM</label>
      <div class="control">
        <input
          class="input"
          type="text"
          placeholder="NIM"
          v-model="NIM"
        />
      </div>
    </div>

    <div class="field">
      <label class="label">NAMA</label>
      <div class="control">
        <input
          class="input"
          type="text"
          placeholder="NAMA"
          v-model="NAMA"
        />
      </div>
    </div>
 
    <div class="field">
      <label class="label">ALAMAT</label>
      <div class="control">
        <input
          class="input"
          type="text"
          placeholder="ALAMAT"
          v-model="ALAMAT"
        />
      </div>
    </div>
    <div class="control">
      <button class="button is-success" @click="updateMahasiswa">UPDATE</button>
    </div>
  </div>
</template>
 
<script>
// import axios
import axios from "axios";
 
export default {
  name: "EditMahasiswa",
  data() {
    return {
      NIM: "",
      NAMA: "",
      ALAMAT: "",
    };
  },
  created: function () {
    this.getMahasiswaById();
  },
  methods: {
    // Get Product By Id
    async getMahasiswaById() {
      try {
        const response = await axios.get(
          `http://localhost:5000/mahasiswas/${this.$route.params.id}`
        );
        this.NIM = response.data.nim_mhs;
        this.NAMA = response.data.nama_mhs;
        this.ALAMAT = response.data.alamat_mhs;
      } catch (err) {
        console.log(err);
      }
    },
 
    // Update product
    async updateMahasiswa() {
      try {
        await axios.put(
          `http://localhost:5000/mahasiswas/${this.$route.params.id}`,
          {
            nim_mhs: this.NIM,
            nama_mhs: this.NAMA,
            alamat_mhs: this.ALAMAT,
          }
        );
        this.NIM = "";
        this.NAMA = "";
        this.ALAMAT = "";
        this.$router.push("/");
      } catch (err) {
        console.log(err);
      }
    },
  },
};
</script>
 
<style>
</style>